jump to navigation

Instalar XGL + Beryl en Ubuntu 6.10 muy fácilmente con ATI (actualizado) 25/02/2007

Posted by JACB in Beryl, GNU/Linux, hardware, Linux, Multimedia, OpenSource, Sistemas operativos, Software, Tutoriales, Ubuntu.
trackback

Aquí un tutorial muy sencillo con el que podemos instalar Beryl muy fácilmente con ayuda de un Script.

SÓLO PARA TARJETAS GRÁFICAS ATI

REQUISITOS:

– Tarjeta gráfica ATI compatible.
– NO tener instalado Beryl. *
– El Script de instalación (ver más abajo).
– Conexión a Internet en el ordenador donde se vaya a instalar.

Pueden desinstalar Beryl fácilmente desde Synaptic.
INSTALACIÓN:

Descargar el Script aquí. (Click derecho, guardar destino). O copiais todo el contenido de la página y lo pegáis en un archivo de texto en blanco.

Suponiendo que lo guardais en el escritorio, abrir un terminal y escribir:

cd Desktop

sudo chmod +x ./beryl-install-script-ATI

sudo ./beryl-install-script-ATI

Con eso le damos permisos de ejecución y lo abrimos.

El Script comenzará automáticamente a instalar los drivers de ATI y Beryl. Tarda poco.

Recordar que al contrario que con las NVIDIA, ahora se instalará XGL en lugar de activar AIGLX.

INICIANDO BERYL:

Una vez que el instalador haya terminado, debemos reiniciar las X. Reiniciamos el ordenador o pulsamos Ctrl + Alt + Retroceso. El Script creará por defecto una entrada para que Beryl se inicie con el ordenador, así que al reiniciar, Beryl debería empezar a funcionar.

Para que Beryl no se inicie al arrancar, ejecutar:

gnome-session-properties

Y en la pestaña “Programas de inicio”, eliminar la entrada “beryl-manager”. Si la eliminan, deberán escribir en un terminal “beryl-manager” cada vez que quieran iniciarlo.

ACTUALIZAR BERYL CON LOS PAQUETES SVN: (opcional)

Este paso es opcional. Una vez que tengamos Beryl instalado y funcionando, podemos actualizarlo con los paquetes SVN para tener la última versión con los últimos plugins.

Los paquetes SVN no están comprobados por los desarrolladores de Beryl, así que es probable que traigan bugs.

Para instalarlos, abrir el archivo /etc/apt/sources.list y añadir una de estas entradas:

  • Ubuntu 6.10 i386 (Treviño)
# Treviño's Beryl-SVN Ubuntu Repository

# GPG key: 81836EBF

deb http://download.tuxfamily.org/3v1deb edgy beryl-svn

deb-src http://download.tuxfamily.org/3v1deb edgy beryl-svn
  • Ubuntu 6.10 amd64 (rm_you)
# Treviño's Beryl-SVN Ubuntu Repository built by rm_you

# GPG key: 81836EBF

deb http://download.tuxfamily.org/3v1deb edgy beryl-svn-amd64

Una vez añadidos los repositorios, ejecutamos “sudo apt-get update”, recargamos en Synaptic, o iniciamos el gestor de actualizaciones. La actualización se hará de forma automática.

Comentarios»

1. Eggs - 25/02/2007

Actualmente tengo Beryl instalado con mi gráfica ATI 9000 PRO siguiendo tu guía:

Instalar Beryl + AIglx en Ubuntu 6.10 con ATI

¿Me recomiendas realizar la instalación que haces aquí con XGL? ¿me irá mas rápido?

Gracias y felicidades por tu blog.

2. JACB - 25/02/2007

Si te va bien con AIGLX, perfecto, tal vez deberías dejarlo así.

De todas formas, si te animas a probarlo, cuéntanos tus resultados. No obstante, XGL suele ser más lento que AIGLX.

XGL instala una capa intermedia entre el servidor de las X y el gestor de ventanas.

AIGLX lo hace directamente, sin capas intermedias.

Teóricamente, AIGLX debería ser más rápido, aunque nunca se sabe.

Un saludo,

3. ubuntu 3d - 4/03/2007

he seguido los pasos de este tutorial, y se me han instalado y al reiniciar se me ha cargado una pantalla en negro y no podia seguir.
Tengo un Ati radeon 9200se por si pudiera ser que no me vaya por este motivo.
Hay alguna forma de resolver el problema?

4. JACB - 5/03/2007

Para dejarlo todo como estaba (y probar suerte de nuevo, si quieres), inicia en modo recovery y restaura la copia de tu xorg.conf.

En modo recovery, escribe:

sudo cp /etc/X11/xorg.conf.backup /etc/X11/xorg.conf

Reinicia, y arrancará normalmente.

Luego quita el paquete Beryl desde Synaptic.

5. Guz - 6/03/2007

Siento ser pesado pero… no se me ejecuta…me dice “sudo: unable to execute ./beryl-install-script-ATI.sh: No such file or directory”

6. JACB - 6/03/2007

No es un archivo .sh

Va SIN extensión. Y tienes que darle permisos para ejecutarlo:

sudo chmod +x ./beryl-install-script-ATI

Luego lo ejecutas con:

sudo ./beryl-install-script-ATI

Y ya está, es tal y como viene en el tutorial.

Recuerda, el archivo sin extensión. Lo descargas, y lo dejas como está. Es posible que tengas que quitarle la extensión .html, dependiendo del navegador con el que lo descargues. Lo mejor es abrir el archivo y copiar y pegar en un archivo en blanco.

7. Guz - 7/03/2007

Muchas gracias, ahora si me va

8. asde - 7/03/2007

hola:
este es mi primer post ja…am soy nuevo en sto de linux y demas jeje …am tengo instalado windows xp sp1 y ubuntu edgy 6.10 tengo una tarjeta ati radeon 7000 y kiero instalar beryl …este tutorial me sirve para instalarlo o ara un desastre con mis graficos… ya habia intentad instalar el beryl en mi ubuntu 6.6 pero no jalo ja asi q cambie al 10 spero tu respuesta

saludos des de mty

9. JACB - 8/03/2007

Hola,

Guz, me alegro que te funcione, ahora disfrútalo😛

aste, no te puedo asegurar que te funcione, pero si después de la instalación se te estropean las X, simplemente restaurando el archivo /etc/X11/xorg.conf.backup (es una copia de seguridad que hace el Script), lo tendrás todo igual que antes de intentarlo.

Saludos

10. Leo - 11/03/2007

instale el beryl y me marca un error al ejecutar el beryl-manager que dice:

XGL Absent, checking for NVIDIA
Nvidia Absent, assuming AIGLX
beryl: No composite extension

alguien me puede ayudar???
muchas gracias….

11. Leo - 11/03/2007

mi maquina es una P4 D101GGC a 2.8 Ghz memoria ram de 512 y una tarjeta de video ATI radeon Xpress 200 y tengo el Ubuntu Edgy 6.10 y cuando quiero iniciar el beryl se me regresa la configuracion del metacity me aparece el error al ejecutar beryl-manager desde una consola que dice:

XGL Absent, checking for NVIDIA
Nvidia Absent, assuming AIGLX
beryl: No composite extension

no se si sea la tarjeta que no lo soporta o que estara pasando, al verificar si la acceleracion esta trabjando me dice que “si” entonces creo que deberia trabajar pero no es asi a ver si alguien me hecha una ayudita.. he instalado 4 veces ya…
MUCHAS GRACIAS!!!!!!!!!

12. JACB - 11/03/2007

Ejecuta desde terminal:

sudo apt-get install xserver-xorg-video-ati
Edita tu xorg.conf y busca esta sección:

Section "Device"
Identifier "ATI Technologies, Inc. RV350 AS [Radeon 9600]"
Driver "radeon"
BusID "PCI:1:0:0"
Option "UseFBDev" "true"
Option "EnablePageFlip"
Option "ColorTiling"
EndSection

Excepto el apartado “Identifier”, todos los demás deberían estar así.

¡¡Haz una copia de seguridad antes de guardarlo!!

Con eso tendrás correctamente la aceleración gráfica de ATI. Si algo sale mal, simplemente desinstala el paquete xserver-xorg-video-ati y restaura tu anterior xorg.conf.

13. johan0xff - 13/03/2007

holas, solo quiero decir que ami me va de lujo XGL + BERYL,Antiguamente tenia instalado AIGLX + BERYL, pero se veia como el forro de lento, ahora me va ,mucho mas fluido con XGL. Poseo una ATI RADEON 9250 Saphire de 256 mb agp 4x y un P4 de 2.4 Ghz,

14. johan0xff - 13/03/2007

para los que tengan ATI y tengan problemas con el famoso cubo blanco, les recomiendo que inicien en modo sesion gnome normal y habiliten los repositorios SVN aunque son un poco inestables no tendran problemas con el cubo blanco xD, si aun los tienen prueben a buscar en http://www.ubuntu-es.org en los foros hay muchas soluciones, Saludos y suerte !

15. GT - 14/03/2007

Me funciono de maravilla la actualizacion, ya que anteriormente tenia la version 0.1.1 y obviamente tenia sus deficiencias…. ahora mi makina HP Pavilion zv6000 con tarjeta ATI corre mas rapidoo (Ubuntu Drapper)….Ah por cierto, al principio tuve el problema de cuando cargaba el Beryl, me aparecia solo una pantalla negra y se veia nada mas el puntero del mouse, lo corregi en Advanced Beryl Option – Rendering Path – Texture From Pixmap.

Saludos.

16. mauricio - 14/03/2007

ola , sabes segui tus pasos y se callo la grafica quede con codigo negro
q sera… tengo una ati raedon 7200
puee q no sea compatible?????

uxa disculpa si no suena muy ignorante la pregunta
q la verdad q soy nuevo en linux
y quero instalar xgl xq es muy bueno

17. JACB - 14/03/2007

hola, para volver a dejar todo como estaba, abre (en modo consola) y escribe:

sudo cp /etc/X11/xorg.conf.backup /etc/X11/xorg.conf

Pon tu contraseña y reinicia Ubuntu. Con eso te arrancará de nuevo las X.

Problema de la gráfica no creo que sea… eso fue por los drivers.

18. mauricio - 14/03/2007

gracias por la respuesta pero me tira error
una pantalla azul caxay y si es driver como lo ago
pa descargarlo
xq realmente la ati es un caxo
weno si me pudieras responder eso t lo agradeceria
t estoy respondiendo por windows xq ubuntu se cayo gnome

19. tony - 15/03/2007

instale ubuntu en mi maquina que tenia xp ok
pero nunca me dio la imagen al tamaño de mi monitor ok temgo problemas con el video integrado de mi tarjeta es una intel d101ggc con ati radeon xpress serie 200 simplemente no y no si no te molesta ayudarme te lo agradeseria te dejo mi mail garxxx
lineaelevada@gmail.com

20. JACB - 15/03/2007

mauricio, al restaurar tu anterior xorg te tira error? eso es extraño porque con eso te tendría que quedar todo igual que antes…

Aquí tienes un tutorial (en inglés lamentablemente) para instalar los drivers:

https://help.ubuntu.com/community/RadeonDriver

Las tarjetas compatibles son:

Radeon 7200
Radeon 7000(VE), M6
Radeon IGP320(M) (2D only)
Radeon 7500, M7, FireGL 7800
Radeon IGP330(M)/IGP340(M) (2D only)
Radeon Mobility 7000 IGP (2D only)
Radeon 8500, 9100, FireGL 8800/8700
Radeon 9000PRO/9000, M9
Radeon 9100 IGP (2D only)
Radeon 9200PRO/9200/9200SE, M9+
Radeon 9700PRO/9700/9500PRO/9500/9600TX, FireGL X1/Z1 (2D only)
Radeon 9800PRO/9800SE/9800, FireGL X2 (2D only)
Radeon 9800XT (2d only)
Radeon 9600PRO/9600SE/9600, M10/M11, FireGL T2 (2D only)
Radeon 9600XT (2d only)

Tony, prueba con este driver de ATI:

www2.ati.com/drivers/linux/ati-driver-installer-8.30.3.run

ejecútalo con:

sudo sh ./ati-driver-installer-8.30.3.run

Saludos,

21. RICHARD - 16/03/2007

hola JACB
veo que estas haciendo una gran labor al ayudarnos a todos a LIBERARNOS. He tratado de seguir tu tutorial sin tener exito alguno, antes de seguir intentando mi tarjeta de video del laptop donde quiero instalr el beryl es una “ATI RADEON MOBILITY M6 LY”.

Crees que funcionara el beryl en la misma???

22. mauricio - 16/03/2007

graxias aora probare de nuevo
de exo tengo una ati radeon 7000 igp

23. JACB - 16/03/2007

Richard, prueba a ver si en esta web (la de ati) encuentras los drivers para tu gráfica.

Una vez que tengas los drivers instalados, instala Beryl desde Synaptic, apt-get, aptitude, o lo que quieras…

http://ati.amd.com/support/driver.html

24. jcsandrea - 19/03/2007

JACB tu has probado este metodo?

25. JACB - 19/03/2007

SÍ, ayer mismo lo probé con una Radeon 7000 en casa de un amigo, y de momento le va bastante bien (un poco lento, por cierto, pero porque tiene poca RAM).

Saludos,

26. Pablo - 20/03/2007

Me da el mismo error q a “LEO”:

XGL Absent, checking for NVIDIA
Nvidia Absent, assuming AIGLX
beryl: No composite extension

Probe el método q decia “JABC”, y no lo he conseguido arreglar… Si pueden ayudarme se los agradesco de antemano…

PS: Tengo los driver libres de ati… instalados…

27. Pablo - 20/03/2007

Perdonad se me ha olvidado
El comando devuelve
$fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: RADEON 9550/X1050 Series
OpenGL version string: 2.0.6334 (8.34.8)
por lo tanto creo q esta bien instalado…

28. JACB - 20/03/2007

Añade al final de tu xorg.conf lo siguiente:

Section “Extensions”
Option “Composite” “Enable”
EndSection

Y otra cosa, recuerda que DEBES iniciar sesión con XGL. Es decir, donde escribes tu usuario y contraseña, antes de escribirlo, selecciona el botón “Sesión” (abajo) y chequea la opción que tenga XGL.

Saludos,

29. Sublime - 22/03/2007

Que tal amigos, veran no he logrado hacer funcionar el Beryl con este paso, cuando trato de ejecutar el script me sale lo siguiente:

sublime@rs:~/Desktop$ sudo chmod +x ./beryl-install-script-ATI
sublime@rs:~/Desktop$ sudo ./beryl-install-script-ATI
./beryl-install-script-ATI: 2: Syntax error: “)” unexpected
sublime@rs:~/Desktop$

He guardado el script en una hoja de texto y “Guardar enlace como” y me sale el mismo resultado.

Lo guardo con este nombre: “beryl-install-script-ATI”

Les agradecería muchísimo la ayuda, soy novato en Linux, poco a poco voy conociendo y aprendiendo de este fabuloso sistema.

Un saludo enorme!.

30. Mauricio - 24/03/2007

Escuche por ahi q ay una version q es instalacion automatica no es necesario usar el panel ????
me pueden decir si existe la forma de instalarlo
a2

31. JACB - 24/03/2007

Hola,

No existe (que yo sepa) un programa de instalación que con doble click te lo instale. Lo máximo que he visto son Scripts automáticos (como el de este tutorial) que lo instalan sin hacer prácticamente nada.

La instalación de Beryl es muy simple, es un programa y como tal, se puede instalar directamente desde Synaptic. El problema es que Beryl requiere la instalación de los drivers gráficos y configurarlo correctamente, por eso no es sólo ir a Synaptic y marcarlo.

El proceso de instalación y configuración de los drivers gráficos es aún bastante complejo (parece que en Feisty no lo será), y más aún con las ATI. Por eso a veces se rompe el entorno gráfico y hay que liarla para restaurarlo.

Los Scripts facilitan esa tarea, pero es imposible hacer un Script perfecto que funcione en TODOS los equipos, que son totalmente diferentes (diferentes versiones de dependencias, distinto hardware, variacion de versión del kernel, etc). Por eso a veces pasa lo que pasa…

Saludos,

PD: Por cierto, parece que en Feisty SÍ se podrá instalar Beryl directamente desde Synaptic, ya que trae AIGLX activado por defecto y totalmente configurado.

32. bongotgn - 25/03/2007

hola, necesito ayuda para el punto de la instalación donde dice
sudo chmod +x ./beryl-install-script-ATI :este paso bien
sudo ./beryl-install-script-ATI : en este me dice unable to execute ./beryl-install-script-ATI: No such file or directory
supongo que no podre instalar beryl con este error así que porfavor no soy yo solo en este foro que necesita esta ayuda.

33. JACB - 26/03/2007

Eso es porque no se le dieron bien los permisos de ejecución al archivo.

Otra forma de hacerlo (sin consola) es hacer clic derecho en el archivo, y en la sección “permisos” activar la casilla que pone “permitir ejecutar el archivo”.

Luego ya lo ejecutas normalmente con sudo ./beryl-install-script-ATI

Saludos,

34. badpipe - 31/03/2007

buenas, acabo de seguir y toda la guia y todo OK, reinicio y me sale hasta el diamante rojo, pero ni me funciona beryl ni nada ni da errores ni pescaito frito.
No sé, es muy raro no da fallos me carga pero de 3d nada de nada.

tengo una ati 9800se

Espero alguna respuesta, gracias.

35. JACB - 1/04/2007

Haz clic en el diamante de al lado del reloj, menú “Gestor de ventanas” y comprueba que esté seleccionado el gestor de ventanas “Beryl”.

Si no se carga solo, dale después a “Recargar el gestor de ventanas” (cuando esté seleccionado Beryl).

36. darzee - 2/04/2007

a mi no me ha ido bien. Al reiniciar pantallazo azul, me voy a “recovery mode” y pongo eso de “sudo cp /etc/x11/xorg.conf backup…” y me dice que no se encuentra el directorio.

Total que aquí estoy en windows buscando una solución…

37. diego - 2/04/2007

hola.. tengo una pregunta la verdad..

la radeon 9550 no es compatible entonces? (mas arriba hay una lista y no aparece?

gracias

38. Alex.. - 2/04/2007

hermano…. no paso del error unable to execute ./beryl-install-script-ATI: No such file or directory…. y lo cambie.. con boton derecho pero nada….una pregunta… soy algo nuevo en linux y recien instalo esta version de ubunto 6.10… pero tengo problemas de visualizacion…. el escritorio no mecarga por completo… nisiquiera la flecha del mouse se ve bien… en su lugar sale una especie de rectangulo….. no fue problema del disco ya que lo grabe dos veces.. y sigue en lo mismo…. tengo una ati 9200…. tendra que ver??… que drivers me tengo que instalar para que se vea correctamente…..??.. esto no tiene nada q ver con el beryl… ya q como ves no paso del problema q te comente arriba……. ¡¡??.. espero tu respuesta…. y GRACIAS!!!….

39. JACB - 2/04/2007

darzee, la ruta es /etc/X11/xorg.conf RECUERDA QUE LINUX DIFERENCIA MAYÚSCULAS DE MINÚSCULAS !!! Es X11, no x11.

Diego y Alex, buscad los drivers Radeon para Linux en la página de ATI, y os funcionará sin problemas. Pero NO con este script, ya que seguramente no funcionará bien con vuestras tarjetas. (Podeis probar, no perdeis nada, si se joden las X solo restaurais el archivo xorg.conf.backup por el original y todo quedará como antes).

Saludos,

40. JACB - 2/04/2007

Se me olvidaba, aquí teneis información sobre los últimos Drivers para las ATI:

http://www2.ati.com/drivers/linux/linux_8.29.6.html

Aparecen también las tarjetas soportadas.

41. badpipe - 3/04/2007

JACB:
era mucho mas sencillo yo ignoraba que beryl no corriese bajo gnome, solo bajo XGL jejej inicie la sesion en XGL y perfecto!

Muchas Gracias!

42. Whisky Wonka - 8/04/2007

hola. primero aviso que soy nuevo en linux ubuntu y todo esto
ya van 3 veces que intento instalar el beryl sin exito
instala todo aparece el icono pero no funciona. antes de instalarlo con el glxinfo veo que dice direct rendering: yes y luego de instalar beryl aparece en “no”
mi placa es una ati radeon 9800 ES AGP8x lo que vi siguiendo tu tutorial es que cuando voy a ver en el xorg.conf tiene los datos de mi placa pero una linea que dice BusID “PCI:1:0:0” y nada que indique AGP
puede ser ese el problema?
Ah cuando actualizo los drivers me dice que tengo la ultima version

Gracias. ojala tengan alguna solucion

43. JACB - 8/04/2007

Hola,

Pues ya me he dado cuenta de que a mucha gente le pasa lo mismo, badpipe.

Whisky Wonka, prueba con eso. Recuerda que cuando inicias sesión en Ubuntu (en la pantalla donde escribes el usuario y la contraseña), debes hacer clic en el botón “Sesiones” de debajo y seleccionar XGL.

Saludos,

PD: Lo de que se deshabilite el direct rendering es normal cuando se instala XGL.

44. Whisky Wonka - 9/04/2007

decis que cambie la linea que indica pci por una que diga algo de agp?
pero no tengo idea como seria esa linea
gracias

45. diego - 10/04/2007

ola amigo, mira.. seguí tu guia antigua para instalar beryl + aiglx en ubuntu edgy con ATI, pero algo pasa.. la targeta grafica (radeon 9550) al parecer está funcionando, beryl tb se instaló, pero ala hora de cambiar a beryl en el gestor de ventanas me aparece este error:

root@diego-desktop:/home/diego# **************************************************************
* Beryl system compatiblity check *
**************************************************************

Detected xserver : AIGLX

Checking Display :0.0 …

Checking for XComposite extension : failed

No composite extension
beryl: SmcOpenConnection failed: Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed
beryl: No composite extension
root@diego-desktop:/home/diego#
root@diego-desktop:/home/diego# glxinfo | grep direct
direct rendering: Yes
root@diego-desktop:/home/diego#

…bueno yo pienso q tengo el despelote en el sistema pq eh seguido distintas guias instalando GLX, diversos drivers para ati y la verdad que siempre cuando finalizaba al reiniciar no me partia gnome, tonz tenia q restaurar el xorg.conf, pero lo instalando nunca lo desintale pq se me olvidaba cuanta cosa rara le habia metido…

bueno, dejo mi xorg.conf por si es que nececita alguna corrección:

Section “Files”
FontPath “/usr/share/X11/fonts/misc”
FontPath “/usr/share/X11/fonts/cyrillic”
FontPath “/usr/share/X11/fonts/100dpi/:unscaled”
FontPath “/usr/share/X11/fonts/75dpi/:unscaled”
FontPath “/usr/share/X11/fonts/Type1”
FontPath “/usr/share/X11/fonts/100dpi”
FontPath “/usr/share/X11/fonts/75dpi”
FontPath “/usr/share/fonts/X11/misc”
# path to defoma fonts
FontPath “/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType”
EndSection

Section “Module”
Load “i2c”
Load “bitmap”
Load “ddc”
Load “dri”
Load “extmod”
Load “freetype”
Load “glx”
Load “int10”
Load “type1”
Load “vbe”
EndSection

Section “InputDevice”
Identifier “Generic Keyboard”
Driver “kbd”
Option “CoreKeyboard”
Option “XkbRules” “xorg”
Option “XkbModel” “pc105”
Option “XkbLayout” “es”
Option “XkbOptions” “lv3:ralt_switch”
EndSection

Section “InputDevice”
Identifier “Configured Mouse”
Driver “mouse”
Option “CorePointer”
Option “Device” “/dev/input/mice”
Option “Protocol” “ExplorerPS/2”
Option “ZAxisMapping” “4 5”
Option “Emulate3Buttons” “true”
EndSection

Section “InputDevice”
Driver “wacom”
Identifier “stylus”
Option “Device” “/dev/wacom” # Change to
# /dev/input/event
# for USB
Option “Type” “stylus”
Option “ForceDevice” “ISDV4” # Tablet PC ONLY
EndSection

Section “InputDevice”
Driver “wacom”
Identifier “eraser”
Option “Device” “/dev/wacom” # Change to
# /dev/input/event
# for USB
Option “Type” “eraser”
Option “ForceDevice” “ISDV4” # Tablet PC ONLY
EndSection

Section “InputDevice”
Driver “wacom”
Identifier “cursor”
Option “Device” “/dev/wacom” # Change to
# /dev/input/event
# for USB
Option “Type” “cursor”
Option “ForceDevice” “ISDV4” # Tablet PC ONLY
EndSection

Section “Device”
Identifier “ATI Technologies, Inc. RV350 AS [Radeon 9600]”
Driver “radeon”
BusID “PCI:1:0:0”
Option “UseFBDev” “true”
Option “EnablePageFlip”
Option “ColorTiling”
EndSection

Section “Monitor”
Identifier “Generic Monitor”
Option “DPMS”
HorizSync 28-51
VertRefresh 43-60
EndSection

Section “Screen”
Identifier “Default Screen”
Device “ATI Technologies, Inc. RV350 AS [Radeon 9600]”
Monitor “Generic Monitor”
DefaultDepth 24
SubSection “Display”
Depth 1
Modes “1024×768” “800×600” “640×480”
EndSubSection
SubSection “Display”
Depth 4
Modes “1024×768” “800×600” “640×480”
EndSubSection
SubSection “Display”
Depth 8
Modes “1024×768” “800×600” “640×480”
EndSubSection
SubSection “Display”
Depth 15
Modes “1024×768” “800×600” “640×480”
EndSubSection
SubSection “Display”
Depth 16
Modes “1024×768” “800×600” “640×480”
EndSubSection
SubSection “Display”
Depth 24
Modes “1024×768” “800×600” “640×480”
EndSubSection
EndSection

Section “ServerLayout”
Identifier “Default Layout”
Screen “Default Screen”
InputDevice “Generic Keyboard”
InputDevice “Configured Mouse”
InputDevice “stylus” “SendCoreEvents”
InputDevice “cursor” “SendCoreEvents”
InputDevice “eraser” “SendCoreEvents”
EndSection

Section “DRI”
Mode 0666
EndSection

Section “Extensions”
Option “Composite” “Disable”
Option “RENDER” “0”
EndSection

Section “ServerFlags”
Option “AIGLX”
EndSection

pd: donde dice:
Section “ServerFlags”
Option “AIGLX”

antes decia:
Section “ServerFlags”
Option “AIGLX” “off”

…yo se lo cambié pensando q estaba desabilitado para q funcionara beryl pero nada..

muchas gracias! Saludos!
(pd: está demás decir q soy novatisimo en esto)

46. Cesar - 11/04/2007

Hola a todos veo que este si es un verdadero foro donde se ayudan jejeej asi que necesito su ayuda luego de hacer los pasos que dicen para intalar beryl me dice esto:
ADVERTENCIA: ¡se instalarán versiones no confiables de los siguientes paquetes!

Los paquetes no confiables pueden comprometer la seguridad de su sistema.
Debe proceder con la instalación sólamente si tiene la
certeza de que es esto lo que desea hacer.

linux-restricted-modules-common

¿Quiere ignorar esta advertencia y proceder de todas formas?
Para continuar, introduzca “Si”; para abortar, introduzca “No”:

que le doy SI o No

47. Cesar - 12/04/2007

hola tengo un problema con el beryl soy nuevo y no s mucho de esto he instalado todo el tutorial y me sale el diamante rojo pero no funciona nada vi el post arriba y decia esto:

Haz clic en el diamante de al lado del reloj, menú “Gestor de ventanas” y comprueba que esté seleccionado el gestor de ventanas “Beryl”.

Si no se carga solo, dale después a “Recargar el gestor de ventanas” (cuando esté seleccionado Beryl).

lo he hecho pero no me lo selecciona nunca siempre esta Metacity y no que hacer Gracias

48. JACB - 12/04/2007

Hola Cesar,

A veces suele funcionar simplemente reinstalándolo. Puedes ir a Synaptic y reinstalarlo allí.

Lo de los paquetes no confiables, dale que SI. Eso sale porque estás instalando una versión no comprobada (SVN), y a veces puede dar errores.
Si no estás seguro, no instales las versiones SVN. Si utilizas el equipo para trabajar, no te recomiendo que las instales, porque puede dar errores. Mejor instala la versión estable.

También puedes probar a darle “Eliminar todo” en Synaptic, para borrar las configuraciones por si hay algo mal puesto. Luego lo instalas otra vez desde allí o aptitude, y reinicia las X (Ctrl + Alt + Retroceso).

Saludos,

49. JACB - 12/04/2007

DIEGO, lo siento, pero tu mensaje lo detectó Akismet como spam y no lo vi.

Bueno, no sé por qué, pero no se te instaló correctamente el Script.

El caso es que con ATI no puedes tener Beryl con AIGLX. Debes usar XGL.

Aquí te pongo un enlace a la guía oficial para instalarlo, pero te adelanto que es muy engorroso… Ánimo, y espero que lo consigas sin problemas.

Recuerda hacer copias de seguridad de tu xorg.conf y así no tendrás problemas.

http://wiki.beryl-project.org/wiki/Install_Beryl_on_Ubuntu_Edgy_with_XGL

Saludos,

50. juanj2 - 19/04/2007

hola a todos primero que nada mi tarjeta grafica es una ati radeon 9250 que no es compatible con windows vista, no se nada de linux pero los videos de you tube que he visto me parecen lo maximo al instalar ubuntu beryl que certeza tengo de que funcione?????? tengo 1gb de ram y mi procesador es un atlhon para 64 bits de 3000+ aqui les dejo mi correo por favor necesito respuesta gracias y disculpen mi linuxignorancia la verdad windows no tiene nada nuevo o por lo menos nada tan novedoso como lo que presenta linux y creo que llego la hora de cambiarse
juanj2mb@hotmail.com

51. juanj2 - 19/04/2007

otra cosa, si hago una particion del disco duro no presentara problemas al instalar windows en un un espacio y linux en otro lo digo por esta cosa de los drivers por ejemplo si tengo linux instalado con el beryl y corre a la perfeccion y en la particion quiero instalar el windows vista o xp y actualizo o cambio los drivers esto me afecta la configuracion de linux???????

52. JACB - 22/04/2007

Hola juanj2,

Aquí tienes un tutorial para instalar Ubuntu junto a XP o Vista (es válido para los 2).

https://ayudalinux.wordpress.com/2007/01/31/arranque-dual-con-windows-y-ubuntu/

También te sirve igual si quieres instalar Ubuntu en una partición aparte o en otro disco duro, sólo tienes que crear las particiones necesarias donde quieras, con Gparted, Partition Magic o el programa que quieras.

Según he leído, la ATI 9250 le da pequeños problemas a algunos, pero en Google encontrarás mucha información ya que es un tema muy conocido.

Por ejemplo, aquí te viene como instalar los drivers:

http://www.ubuntu-es.org/index.php?q=node/1525

Saludos,

PD: No sabía que la 9250 no era compatible con Vista…😛

53. Agustin - 29/04/2007

Hola que tal:
Ya una vez instalé ubuntu 6.10 en una laptop, con tarjeta aceleradora Nvidia Go 6100, y me salía el cubito y todo muy bien.
Ahora lo tengo en una pc con tarjeta ATI Radeon 9200, de 128MB de RAM, mi procesador es un Pentium IV a 16.GHz, y 512MB de RAM SDRAM.
Supuestamente tengo bien instalado el Beryl; tengo activada la aceleración gráfica y todo. Incluso puedo “configurar ” el beryl y toda la cosa, pero simplemente NO HACE NADA DE NADA; es decir, se sigue viendo todo exactamente igual a antes de instalar el Beryl, el dichoso cubo no funciona, ni el efecto de lluvia ni nada nada nada nada. Les repito, supuestamente todo está bien instalado. ¿Qué puedo hacer?
Muchas Gracias

54. Marcelo - 10/05/2007

Hola,tengo una x1800gto,instalo el driver pero no me reconoce la placa :s

55. ohne gott - 13/05/2007

hola, ya segui tu tutorial y lo instale todo perfecto, sin embargo, no me da los escritorios 3D, al darle en el diamante y seleccionar el gestor de ventanas, me aparece metacity y no logro la aceleracion o eso creo… me puedes ayudar?

56. vista07 - 23/05/2007

que tal amigos tengo un p4 a 3.06ghz ram de 512ddr2
chip integrado ati xpress200
quiero instalar el ubuntu tengo una copia del 6.10 quisiera como se instalar el driver de chip de video Ati de donde descargarmelo y como instalar y después como instalar el beryl bueno desde cero
quiero aprender a usar ubuntu

57. Jorge - 24/06/2007

Hola Jacb!..Estoy tratando de instalar Beryl en debian 4.1 bajo el escritorio gnome desde hace mucho, pero no he tenido exito en mi cometido. Tengo una portatil IBM T60p con una tarjeta grafica ATI modelo FireGL V5200 de la cual descargue los drivers utiles en la instalacion del manejador de ventanas. Postie mi caso en la siguiente direccion electronica http://www.forosdelweb.com/showthread.php?t=499161 y todavia no he tenido resultados. Sera que puedes ayudarme hermano por favor!

Por otra parte, tengo muchos archivos xorg.conf en el directorio etc/X11. A que se debe esto?..Debo eliminar algunos? No cree el archivo de respaldo de xorg.conf cuando instale a beryl por primera vez..Acaso hice un desastre?

De antemano recibe mis agradecimientos en la ayuda que puedas darme.

Saludos, Jorge

58. Beryl - 24/06/2007

[…] Manualillo  […]

59. pablo389 - 28/06/2007

hola q tal.. tengo una duda, arriba dijiste Jacb que beryl en las ati no funciona con Aiglx… pero ya me enrede entonces… vi un tutorial q tu hicist sobre eso…. instalar beryl + aiglx en ubuntu 6.10 en una ati!

https://ayudalinux.wordpress.com/2007/02/01/instalar-beryl-aiglx-en-ubuntu-610-con-ati/

es q te confundiste… y si es posible o para nada?

60. luis - 18/07/2007

comapdre yo tengo una ati radeon x1650 y no heencontrado la manera de ponerla de instalarla o de hacer algo tengo el ubuntu feisty y no me dejaponer nada en 3d no sabes una solucion a esto?

61. jorge - 18/07/2007

Hola Luis!..Activar la acelaracion grafica con tu tarjeta si utiliza los drivers oficiales es muy facil sigue este tutorial..http://www.siemprelinux.com.ar/blog/?p=41.

Con esto obtendras activar la acelaracion grafica de tu tarjeta. El detalle esta en que logremos y lo digo asi porque no he podido hacer funcionar el beryl.

Saludos,

62. Adalid Ortiz - 8/08/2007

Funcionara este tutorial para Knoppix y una ATI Radeon Mobility M6 ???

63. alfredo - 11/10/2007

seria igual al instalarlo en una portatil?

64. titancete - 14/10/2007

hola a todos , haber si me pueden ayudar…. instale todo y me aparece el diamante rojo pero al seleccionar beryl como gesto de ventanas pero no se inicia.. mantiene e lgestor de ventanas KDE.. que hago??

65. E0N - 15/12/2007

A mi me pasa lo mismo q a titancete, lo instalo con aceleracion 3d y todo perfecto, pero no logro poner beryl como gestor de escritorio.

En la consola me da este error:
checking xcomposite extension failed

Y el archivo de configuracion lo tengo con la seccion extendion y todo bien… por q puede ser??

66. fernando - 31/01/2008

Hola a todos! a ver, soy novatisimo en esto de linux….me lie a instalar el beryl con el scrip de arriba y me he cargado los graficos….solo me sale una consola negra en plan MS.DOS (supongo q eso es el modo recovery q dicen). He intentado recuperar mi antigua configuracion con las indicaciones dadas en un post de mas arriba pero aun teniendo cuidado ed mayusculas y tal me dice q no existe el fichero xorg.conf.backup. Y de hecho he buscado haciendo ls en la arpeta y no aparece, solo uno parecido q se llamaxorg.conf.backup.beryl-script. No se que hacer ya q tengo datos importantes guardados y no se manejarme nada bien desde la consola. Espero vuestra ayuda. Muchas gracias

67. fernando - 31/01/2008

Hola de nuevo. Acabo de solucionar el problema. Simplemente era q el archivo donde se guardaba tu antigua configuracion no es como decia JACB el xorg.config.backup, si no el xorg.config.original-0…..el comando para la shell es el mismo pero sustituyendo esos nombres.
Un saludo.


Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: